Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ValueMember

    java.lang.Object
      |
      +--org.omg.CORBA.ValueMember

All Implemented Interfaces:
  IDLEntity, Serializable

public final class ValueMember
extends Object
implements IDLEntity

A description in the Interface Repository of a member of a `value` object.

See Also:
  Serialized Form

Field Summary
`short` | `access` The type of access (public, private) for the `value` member described by this `ValueMember` object.
`String` | `defined_in` The name of the `value` member described by this `ValueMember` object.
`String` | `id` The name of the `value` member described by this `ValueMember` object.
`String` | `name` The name of the `value` member described by this `ValueMember` object.
`TypeCode` | `type` The type of the `value` member described by this `ValueMember` object.
`IDLType` | `type_def` The typedef that represents the IDL type of the `value` member described by this `ValueMember` object.
`String` | `version` The name of the `value` member described by this `ValueMember` object.

Constructor Summary
`ValueMember()` Constructs a default `ValueMember` object.
`ValueMember(String __name, String __id, String __defined_in, String __version, TypeCode __type, IDLType __type_def, short __access)` Constructs a `ValueMember` object initialized with the given values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the `value` member described by this `ValueMember` object.

### id

    public String id

  The name of the `value` member described by this `ValueMember` object.

### defined_in

    public String defined_in

  The name of the `value` member described by this `ValueMember` object.

### version

    public String version

  The name of the `value` member described by this `ValueMember` object.

### type

    public TypeCode type

  The type of the `value` member described by this `ValueMember` object.

### type_def

    public IDLType type_def

  The typedef that represents the IDL type of the `value` member described by this `ValueMember` object.

### access

    public short access

  The type of access (public, private) for the `value` member described by this `ValueMember` object.

Constructor Detail

### ValueMember

    public ValueMember()

  Constructs a default `ValueMember` object.

### ValueMember

    public ValueMember(String __name,
                       String __id,
                       String __defined_in,
                       String __version,
                       TypeCode __type,
                       IDLType __type_def,
                       short __access)

  Constructs a `ValueMember` object initialized with the given values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.